// https://nuxt.com/docs/api/configuration/nuxt-config
export default defineNuxtConfig({
  compatibilityDate: '2024-11-01',
  devtools: { enabled: false },
  future: {
    compatibilityVersion: 4,
  },

  nitro: {
    prerender: {
      routes: [
        '/',
        '/imprint',
        '/privacy',
      ]
    }
  },

  routeRules: {
    '/': { prerender: true },
    '/imprint': { prerender: true },
    '/privacy': { prerender: true },
  },

  modules: ['@nuxt/icon', '@vueuse/nuxt', '@nuxtjs/device'],

  css : [
    './app/assets/styles/general.css',
    './app/assets/styles/header.css',
    './app/assets/styles/footer.css',
    './app/assets/styles/button.css',
    './app/assets/styles/buttonGroup.css',
    './app/assets/styles/priceCard.css',
    './app/assets/styles/formInput.css',
    './app/assets/styles/toolbar.css',
  ]
})